Bug 476621 - mediawiki: multiple XSS and CSRF issues (CVE-2008-5249, CVE-2008-5250, CVE-2008-5252, CVE-2008-5687, CVE-2008-5688)
mediawiki: multiple XSS and CSRF issues (CVE-2008-5249, CVE-2008-5250, CVE-20...
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
cwe=(CWE-79|CWE-352)
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-16 04:34 EST by Tomas Hoger
Modified: 2016-01-26 07:47 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-27 13:45:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-12-16 04:34:37 EST
MediWiki upstream released new upstream versions -- 1.13.3, 1.12.1 and 1.6.11 -- with multiple security fixes:

* An XSS vulnerability affecting all MediaWiki installations between
1.13.0 and 1.13.2. [CVE-2008-5249]

* A local script injection vulnerability affecting Internet Explorer
clients for all MediaWiki installations with uploads enabled.
[CVE-2008-5250]

* A local script injection vulnerability affecting clients with SVG
scripting capability (such as Firefox 1.5+), for all MediaWiki
installations with SVG uploads enabled. [CVE-2008-5250]

* A CSRF vulnerability affecting the Special:Import feature, for all
MediaWiki installations since the feature was introduced in 1.3.0.
[CVE-2008-5252]

Further details in the upstream announcement:
http://lists.wikimedia.org/pipermail/mediawiki-announce/2008-December/000080.html
Comment 1 Tomas Hoger 2008-12-19 12:49:14 EST
CVEs assigned to the mentioned MediaWiki update:

CVE-2008-5249
Cross-site scripting (XSS) vulnerability in MediaWiki 1.13.0 through
1.13.2 allows remote attackers to inject arbitrary web script or HTML
via unspecified vectors.

CVE-2008-5250
Cross-site scripting (XSS) vulnerability in MediaWiki before 1.6.11,
1.12.x before 1.12.2, and 1.13.x before 1.13.3, when Internet Explorer
is used and uploads are enabled, or an SVG scripting browser is used
and SVG uploads are enabled, allows remote authenticated users to
inject arbitrary web script or HTML by editing a wiki page.

CVE-2008-5252
Cross-site request forgery (CSRF) vulnerability in the Special:Import
feature in MediaWiki 1.3.0 through 1.6.10, 1.12.x before 1.12.2, and
1.13.x before 1.13.3 allows remote attackers to perform unspecified
actions as authenticated users via unknown vectors.

As well as other two issue mentioned in the upstream announcement, treated as security enhancement rather than vulnerability fixes by upstream:

CVE-2008-5687
MediaWiki 1.11 through 1.13.3 does not properly protect against the
download of backups of deleted images, which might allow remote
attackers to obtain sensitive information via requests for files in
images/deleted/.

CVE-2008-5688
MediaWiki 1.8.1 through 1.13.3, when the wgShowExceptionDetails
variable is enabled, sometimes provides the full installation path in
a debugging message, which might allow remote attackers to obtain
sensitive information via unspecified requests that trigger an
uncaught exception.

(Path disclosure is not really an issue for Fedora packages, that install MediaWiki in a known directory.)
Comment 2 Fedora Update System 2008-12-23 04:55:15 EST
mediawiki-1.13.3-42.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/mediawiki-1.13.3-42.fc9
Comment 3 Fedora Update System 2008-12-23 04:55:18 EST
mediawiki-1.13.3-41.99.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/mediawiki-1.13.3-41.99.fc8
Comment 4 Fedora Update System 2008-12-23 04:55:21 EST
mediawiki-1.13.3-42.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mediawiki-1.13.3-42.fc10
Comment 5 Fedora Update System 2008-12-24 07:56:41 EST
mediawiki-1.13.3-41.99.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-12-24 13:39:53 EST
mediawiki-1.13.3-41.99.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-12-24 13:42:40 EST
mediawiki-1.13.3-42.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-12-24 13:43:55 EST
mediawiki-1.13.3-42.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.